##### basic_raw_socket::available (1 of 2 overloads)

Inherited from basic_socket.

Determine the number of bytes available for reading.

    std::size_t available() const;

This function is used to determine the number of bytes that may be read without blocking.

###### Return Value

The number of bytes that may be read without blocking, or 0 if an error occurs.

###### Exceptions

asio::system_error

  Thrown on failure.